Subject: Re: [Bitcoin-development] HTTP REST API for bitcoind

From: Pieter Wuille <[email-masked]>
Date: Tue, 23 Jul 2013 11:42:05 +0200

On Tue, Jul 23, 2013 at 10:30:13AM +0100, Andy Parkins wrote:
> One additional URL makes this pretty much perfect:
> 
>   GET /rest/block-with-tx/TX-HASH
> 
> Construction of the transaction-hash-to-block database is something the full 
> client's have to do anyway, so this query is no harder than the others for 
> them to supply; but suddenly makes it possible for an SPV client to trace the 
> providence of any transaction without needing to maintain the entire chain.

There is actually no such index being maintained by default, and doing so is an
unnecessary burden IMHO (you need to enable -txindex since 0.8 to get this).
Of course, if enabled, it can be exposed.

-- 
Pieter